# Source code for azure.mgmt.sql.operations._managed_database_sensitivity_labels_operations

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    import uuid
    from msrest.pipeline import ClientRawResponse
    from msrestazure.azure_exceptions import CloudError

    from .. import models

    class ManagedDatabaseSensitivityLabelsOperations(object):
        """ManagedDatabaseSensitivityLabelsOperations operations.

        You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

        :param client: Client for service requests.
        :param config: Configuration of service client.
        :param serializer: An object model serializer.
        :param deserializer: An object model deserializer.
        :ivar api_version: The API version to use for the request. Constant value: "2018-06-01-preview".
        """

        models = models

        def __init__(self, client, config, serializer, deserializer):

            self._client = client
            self._serialize = serializer
            self._deserialize = deserializer
            self.api_version = "2018-06-01-preview"

            self.config = config

        def get(
                self, resource_group_name, managed_instance_name, database_name, schema_name, table_name, column_name, sensitivity_label_source, custom_headers=None, raw=False, **operation_config):
            """Gets the sensitivity label of a given column.

            :param resource_group_name: The name of the resource group that
             contains the resource. You can obtain this value from the Azure
             Resource Manager API or the portal.
            :type resource_group_name: str
            :param managed_instance_name: The name of the managed instance.
            :type managed_instance_name: str
            :param database_name: The name of the database.
            :type database_name: str
            :param schema_name: The name of the schema.
            :type schema_name: str
            :param table_name: The name of the table.
            :type table_name: str
            :param column_name: The name of the column.
            :type column_name: str
            :param sensitivity_label_source: The source of the sensitivity label.
             Possible values include: 'current', 'recommended'
            :type sensitivity_label_source: str or
             ~azure.mgmt.sql.models.SensitivityLabelSource
            :param dict custom_headers: headers that will be added to the request
            :param bool raw: returns the direct response alongside the
             deserialized response
            :param operation_config: :ref:`Operation configuration
             overrides<msrest:optionsforoperations>`.
            :return: SensitivityLabel or ClientRawResponse if raw=true
            :rtype: ~azure.mgmt.sql.models.SensitivityLabel or
             ~msrest.pipeline.ClientRawResponse
            :raises: :class:`CloudError<msrestazure.azure_exceptions.CloudError>`
            """
            # Construct URL
            url = self.get.metadata['url']
            path_format_arguments = {
                'resourceGroupName': self._serialize.url("resource_group_name", resource_group_name, 'str'),
                'managedInstanceName': self._serialize.url("managed_instance_name", managed_instance_name, 'str'),
                'databaseName': self._serialize.url("database_name", database_name, 'str'),
                'schemaName': self._serialize.url("schema_name", schema_name, 'str'),
                'tableName': self._serialize.url("table_name", table_name, 'str'),
                'columnName': self._serialize.url("column_name", column_name, 'str'),
                'sensitivityLabelSource': self._serialize.url("sensitivity_label_source", sensitivity_label_source, 'SensitivityLabelSource'),
                'subscriptionId': self._serialize.url("self.config.subscription_id", self.config.subscription_id, 'str')
            }
            url = self._client.format_url(url, **path_format_arguments)

            # Construct parameters
            query_parameters = {}
            query_parameters['api-version'] = self._serialize.query("self.api_version", self.api_version, 'str')

            # Construct headers
            header_parameters = {}
            header_parameters['Accept'] = 'application/json'
            if self.config.generate_client_request_id:
                header_parameters['x-ms-client-request-id'] = str(uuid.uuid1())
            if custom_headers:
                header_parameters.update(custom_headers)
            if self.config.accept_language is not None:
                header_parameters['accept-language'] = self._serialize.header("self.config.accept_language", self.config.accept_language, 'str')

            # Construct and send request
            request = self._client.get(url, query_parameters, header_parameters)
            response = self._client.send(request, stream=False, **operation_config)

            if response.status_code not in [200]:
                exp = CloudError(response)
                exp.request_id = response.headers.get('x-ms-request-id')
                raise exp

            deserialized = None
            if response.status_code == 200:
                deserialized = self._deserialize('SensitivityLabel', response)

            if raw:
                client_raw_response = ClientRawResponse(deserialized, response)
                return client_raw_response

            return deserialized
        get.metadata = {'url': '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/managedInstances/{managedInstanceName}/databases/{databaseName}/schemas/{schemaName}/tables/{tableName}/columns/{columnName}/sensitivityLabels/{sensitivityLabelSource}'}

        def create_or_update(
                self, resource_group_name, managed_instance_name, database_name, schema_name, table_name, column_name, parameters, custom_headers=None, raw=False, **operation_config):
            """Creates or updates the sensitivity label of a given column.

            :param resource_group_name: The name of the resource group that
             contains the resource. You can obtain this value from the Azure
             Resource Manager API or the portal.
            :type resource_group_name: str
            :param managed_instance_name: The name of the managed instance.
            :type managed_instance_name: str
            :param database_name: The name of the database.
            :type database_name: str
            :param schema_name: The name of the schema.
            :type schema_name: str
            :param table_name: The name of the table.
            :type table_name: str
            :param column_name: The name of the column.
            :type column_name: str
            :param parameters: The column sensitivity label resource.
            :type parameters: ~azure.mgmt.sql.models.SensitivityLabel
            :param dict custom_headers: headers that will be added to the request
            :param bool raw: returns the direct response alongside the
             deserialized response
            :param operation_config: :ref:`Operation configuration
             overrides<msrest:optionsforoperations>`.
            :return: SensitivityLabel or ClientRawResponse if raw=true
            :rtype: ~azure.mgmt.sql.models.SensitivityLabel or
             ~msrest.pipeline.ClientRawResponse
            :raises: :class:`CloudError<msrestazure.azure_exceptions.CloudError>`
            """
            sensitivity_label_source = "current"

            # Construct URL
            url = self.create_or_update.metadata['url']
            path_format_arguments = {
                'resourceGroupName': self._serialize.url("resource_group_name", resource_group_name, 'str'),
                'managedInstanceName': self._serialize.url("managed_instance_name", managed_instance_name, 'str'),
                'databaseName': self._serialize.url("database_name", database_name, 'str'),
                'schemaName': self._serialize.url("schema_name", schema_name, 'str'),
                'tableName': self._serialize.url("table_name", table_name, 'str'),
                'columnName': self._serialize.url("column_name", column_name, 'str'),
                'sensitivityLabelSource': self._serialize.url("sensitivity_label_source", sensitivity_label_source, 'str'),
                'subscriptionId': self._serialize.url("self.config.subscription_id", self.config.subscription_id, 'str')
            }
            url = self._client.format_url(url, **path_format_arguments)

            # Construct parameters
            query_parameters = {}
            query_parameters['api-version'] = self._serialize.query("self.api_version", self.api_version, 'str')

            # Construct headers
            header_parameters = {}
            header_parameters['Accept'] = 'application/json'
            header_parameters['Content-Type'] = 'application/json; charset=utf-8'
            if self.config.generate_client_request_id:
                header_parameters['x-ms-client-request-id'] = str(uuid.uuid1())
            if custom_headers:
                header_parameters.update(custom_headers)
            if self.config.accept_language is not None:
                header_parameters['accept-language'] = self._serialize.header("self.config.accept_language", self.config.accept_language, 'str')

            # Construct body
            body_content = self._serialize.body(parameters, 'SensitivityLabel')

            # Construct and send request
            request = self._client.put(url, query_parameters, header_parameters, body_content)
            response = self._client.send(request, stream=False, **operation_config)

            if response.status_code not in [200, 201]:
                exp = CloudError(response)
                exp.request_id = response.headers.get('x-ms-request-id')
                raise exp

            deserialized = None
            if response.status_code == 200:
                deserialized = self._deserialize('SensitivityLabel', response)
            if response.status_code == 201:
                deserialized = self._deserialize('SensitivityLabel', response)

            if raw:
                client_raw_response = ClientRawResponse(deserialized, response)
                return client_raw_response

            return deserialized
        create_or_update.metadata = {'url': '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/managedInstances/{managedInstanceName}/databases/{databaseName}/schemas/{schemaName}/tables/{tableName}/columns/{columnName}/sensitivityLabels/{sensitivityLabelSource}'}

        def delete(
                self, resource_group_name, managed_instance_name, database_name, schema_name, table_name, column_name, custom_headers=None, raw=False, **operation_config):
            """Deletes the sensitivity label of a given column.

            :param resource_group_name: The name of the resource group that
             contains the resource. You can obtain this value from the Azure
             Resource Manager API or the portal.
            :type resource_group_name: str
            :param managed_instance_name: The name of the managed instance.
            :type managed_instance_name: str
            :param database_name: The name of the database.
            :type database_name: str
            :param schema_name: The name of the schema.
            :type schema_name: str
            :param table_name: The name of the table.
            :type table_name: str
            :param column_name: The name of the column.
            :type column_name: str
            :param dict custom_headers: headers that will be added to the request
            :param bool raw: returns the direct response alongside the
             deserialized response
            :param operation_config: :ref:`Operation configuration
             overrides<msrest:optionsforoperations>`.
            :return: None or ClientRawResponse if raw=true
            :rtype: None or ~msrest.pipeline.ClientRawResponse
            :raises: :class:`CloudError<msrestazure.azure_exceptions.CloudError>`
            """
            sensitivity_label_source = "current"

            # Construct URL
            url = self.delete.metadata['url']
            path_format_arguments = {
                'resourceGroupName': self._serialize.url("resource_group_name", resource_group_name, 'str'),
                'managedInstanceName': self._serialize.url("managed_instance_name", managed_instance_name, 'str'),
                'databaseName': self._serialize.url("database_name", database_name, 'str'),
                'schemaName': self._serialize.url("schema_name", schema_name, 'str'),
                'tableName': self._serialize.url("table_name", table_name, 'str'),
                'columnName': self._serialize.url("column_name", column_name, 'str'),
                'sensitivityLabelSource': self._serialize.url("sensitivity_label_source", sensitivity_label_source, 'str'),
                'subscriptionId': self._serialize.url("self.config.subscription_id", self.config.subscription_id, 'str')
            }
            url = self._client.format_url(url, **path_format_arguments)

            # Construct parameters
            query_parameters = {}
            query_parameters['api-version'] = self._serialize.query("self.api_version", self.api_version, 'str')

            # Construct headers
            header_parameters = {}
            if self.config.generate_client_request_id:
                header_parameters['x-ms-client-request-id'] = str(uuid.uuid1())
            if custom_headers:
                header_parameters.update(custom_headers)
            if self.config.accept_language is not None:
                header_parameters['accept-language'] = self._serialize.header("self.config.accept_language", self.config.accept_language, 'str')

            # Construct and send request
            request = self._client.delete(url, query_parameters, header_parameters)
            response = self._client.send(request, stream=False, **operation_config)

            if response.status_code not in [200]:
                exp = CloudError(response)
                exp.request_id = response.headers.get('x-ms-request-id')
                raise exp

            if raw:
                client_raw_response = ClientRawResponse(None, response)
                return client_raw_response
        delete.metadata = {'url': '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/managedInstances/{managedInstanceName}/databases/{databaseName}/schemas/{schemaName}/tables/{tableName}/columns/{columnName}/sensitivityLabels/{sensitivityLabelSource}'}

        def disable_recommendation(
                self, resource_group_name, managed_instance_name, database_name, schema_name, table_name, column_name, custom_headers=None, raw=False, **operation_config):
            """Disables sensitivity recommendations on a given column.

            :param resource_group_name: The name of the resource group that
             contains the resource. You can obtain this value from the Azure
             Resource Manager API or the portal.
            :type resource_group_name: str
            :param managed_instance_name: The name of the managed instance.
            :type managed_instance_name: str
            :param database_name: The name of the database.
            :type database_name: str
            :param schema_name: The name of the schema.
            :type schema_name: str
            :param table_name: The name of the table.
            :type table_name: str
            :param column_name: The name of the column.
            :type column_name: str
            :param dict custom_headers: headers that will be added to the request
            :param bool raw: returns the direct response alongside the
             deserialized response
            :param operation_config: :ref:`Operation configuration
             overrides<msrest:optionsforoperations>`.
            :return: None or ClientRawResponse if raw=true
            :rtype: None or ~msrest.pipeline.ClientRawResponse
            :raises: :class:`CloudError<msrestazure.azure_exceptions.CloudError>`
            """
            sensitivity_label_source = "recommended"

            # Construct URL
            url = self.disable_recommendation.metadata['url']
            path_format_arguments = {
                'resourceGroupName': self._serialize.url("resource_group_name", resource_group_name, 'str'),
                'managedInstanceName': self._serialize.url("managed_instance_name", managed_instance_name, 'str'),
                'databaseName': self._serialize.url("database_name", database_name, 'str'),
                'schemaName': self._serialize.url("schema_name", schema_name, 'str'),
                'tableName': self._serialize.url("table_name", table_name, 'str'),
                'columnName': self._serialize.url("column_name", column_name, 'str'),
                'sensitivityLabelSource': self._serialize.url("sensitivity_label_source", sensitivity_label_source, 'str'),
                'subscriptionId': self._serialize.url("self.config.subscription_id", self.config.subscription_id, 'str')
            }
            url = self._client.format_url(url, **path_format_arguments)

            # Construct parameters
            query_parameters = {}
            query_parameters['api-version'] = self._serialize.query("self.api_version", self.api_version, 'str')

            # Construct headers
            header_parameters = {}
            if self.config.generate_client_request_id:
                header_parameters['x-ms-client-request-id'] = str(uuid.uuid1())
            if custom_headers:
                header_parameters.update(custom_headers)
            if self.config.accept_language is not None:
                header_parameters['accept-language'] = self._serialize.header("self.config.accept_language", self.config.accept_language, 'str')

            # Construct and send request
            request = self._client.post(url, query_parameters, header_parameters)
            response = self._client.send(request, stream=False, **operation_config)

            if response.status_code not in [200]:
                exp = CloudError(response)
                exp.request_id = response.headers.get('x-ms-request-id')
                raise exp

            if raw:
                client_raw_response = ClientRawResponse(None, response)
                return client_raw_response
        disable_recommendation.metadata = {'url': '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/managedInstances/{managedInstanceName}/databases/{databaseName}/schemas/{schemaName}/tables/{tableName}/columns/{columnName}/sensitivityLabels/{sensitivityLabelSource}/disable'}

        def enable_recommendation(
                self, resource_group_name, managed_instance_name, database_name, schema_name, table_name, column_name, custom_headers=None, raw=False, **operation_config):
            """Enables sensitivity recommendations on a given column (recommendations
            are enabled by default on all columns).

            :param resource_group_name: The name of the resource group that
             contains the resource. You can obtain this value from the Azure
             Resource Manager API or the portal.
            :type resource_group_name: str
            :param managed_instance_name: The name of the managed instance.
            :type managed_instance_name: str
            :param database_name: The name of the database.
            :type database_name: str
            :param schema_name: The name of the schema.
            :type schema_name: str
            :param table_name: The name of the table.
            :type table_name: str
            :param column_name: The name of the column.
            :type column_name: str
            :param dict custom_headers: headers that will be added to the request
            :param bool raw: returns the direct response alongside the
             deserialized response
            :param operation_config: :ref:`Operation configuration
             overrides<msrest:optionsforoperations>`.
            :return: None or ClientRawResponse if raw=true
            :rtype: None or ~msrest.pipeline.ClientRawResponse
            :raises: :class:`CloudError<msrestazure.azure_exceptions.CloudError>`
            """
            sensitivity_label_source = "recommended"

            # Construct URL
            url = self.enable_recommendation.metadata['url']
            path_format_arguments = {
                'resourceGroupName': self._serialize.url("resource_group_name", resource_group_name, 'str'),
                'managedInstanceName': self._serialize.url("managed_instance_name", managed_instance_name, 'str'),
                'databaseName': self._serialize.url("database_name", database_name, 'str'),
                'schemaName': self._serialize.url("schema_name", schema_name, 'str'),
                'tableName': self._serialize.url("table_name", table_name, 'str'),
                'columnName': self._serialize.url("column_name", column_name, 'str'),
                'sensitivityLabelSource': self._serialize.url("sensitivity_label_source", sensitivity_label_source, 'str'),
                'subscriptionId': self._serialize.url("self.config.subscription_id", self.config.subscription_id, 'str')
            }
            url = self._client.format_url(url, **path_format_arguments)

            # Construct parameters
            query_parameters = {}
            query_parameters['api-version'] = self._serialize.query("self.api_version", self.api_version, 'str')

            # Construct headers
            header_parameters = {}
            if self.config.generate_client_request_id:
                header_parameters['x-ms-client-request-id'] = str(uuid.uuid1())
            if custom_headers:
                header_parameters.update(custom_headers)
            if self.config.accept_language is not None:
                header_parameters['accept-language'] = self._serialize.header("self.config.accept_language", self.config.accept_language, 'str')

            # Construct and send request
            request = self._client.post(url, query_parameters, header_parameters)
            response = self._client.send(request, stream=False, **operation_config)

            if response.status_code not in [200]:
                exp = CloudError(response)
                exp.request_id = response.headers.get('x-ms-request-id')
                raise exp

            if raw:
                client_raw_response = ClientRawResponse(None, response)
                return client_raw_response
        enable_recommendation.metadata = {'url': '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/managedInstances/{managedInstanceName}/databases/{databaseName}/schemas/{schemaName}/tables/{tableName}/columns/{columnName}/sensitivityLabels/{sensitivityLabelSource}/enable'}

        def list_current_by_database(
                self, resource_group_name, managed_instance_name, database_name, filter=None, custom_headers=None, raw=False, **operation_config):
            """Gets the sensitivity labels of a given database.

            :param resource_group_name: The name of the resource group that
             contains the resource. You can obtain this value from the Azure
             Resource Manager API or the portal.
            :type resource_group_name: str
            :param managed_instance_name: The name of the managed instance.
            :type managed_instance_name: str
            :param database_name: The name of the database.
            :type database_name: str
            :param filter: An OData filter expression that filters elements in the
             collection.
            :type filter: str
            :param dict custom_headers: headers that will be added to the request
            :param bool raw: returns the direct response alongside the
             deserialized response
            :param operation_config: :ref:`Operation configuration
             overrides<msrest:optionsforoperations>`.
            :return: An iterator like instance of SensitivityLabel
            :rtype:
             ~azure.mgmt.sql.models.SensitivityLabelPaged[~azure.mgmt.sql.models.SensitivityLabel]
            :raises: :class:`CloudError<msrestazure.azure_exceptions.CloudError>`
            """
            def prepare_request(next_link=None):
                if not next_link:
                    # Construct URL
                    url = self.list_current_by_database.metadata['url']
                    path_format_arguments = {
                        'resourceGroupName': self._serialize.url("resource_group_name", resource_group_name, 'str'),
                        'managedInstanceName': self._serialize.url("managed_instance_name", managed_instance_name, 'str'),
                        'databaseName': self._serialize.url("database_name", database_name, 'str'),
                        'subscriptionId': self._serialize.url("self.config.subscription_id", self.config.subscription_id, 'str')
                    }
                    url = self._client.format_url(url, **path_format_arguments)

                    # Construct parameters
                    query_parameters = {}
                    if filter is not None:
                        query_parameters['$filter'] = self._serialize.query("filter", filter, 'str')
                    query_parameters['api-version'] = self._serialize.query("self.api_version", self.api_version, 'str')

                else:
                    url = next_link
                    query_parameters = {}

                # Construct headers
                header_parameters = {}
                header_parameters['Accept'] = 'application/json'
                if self.config.generate_client_request_id:
                    header_parameters['x-ms-client-request-id'] = str(uuid.uuid1())
                if custom_headers:
                    header_parameters.update(custom_headers)
                if self.config.accept_language is not None:
                    header_parameters['accept-language'] = self._serialize.header("self.config.accept_language", self.config.accept_language, 'str')

                # Construct and send request
                request = self._client.get(url, query_parameters, header_parameters)
                return request

            def internal_paging(next_link=None):
                request = prepare_request(next_link)

                response = self._client.send(request, stream=False, **operation_config)

                if response.status_code not in [200]:
                    exp = CloudError(response)
                    exp.request_id = response.headers.get('x-ms-request-id')
                    raise exp

                return response

            # Deserialize response
            header_dict = None
            if raw:
                header_dict = {}
            deserialized = models.SensitivityLabelPaged(internal_paging, self._deserialize.dependencies, header_dict)

            return deserialized
        list_current_by_database.metadata = {'url': '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/managedInstances/{managedInstanceName}/databases/{databaseName}/currentSensitivityLabels'}

        def list_recommended_by_database(
                self, resource_group_name, managed_instance_name, database_name, include_disabled_recommendations=None, skip_token=None, filter=None, custom_headers=None, raw=False, **operation_config):
            """Gets the sensitivity labels of a given database.

            :param resource_group_name: The name of the resource group that
             contains the resource. You can obtain this value from the Azure
             Resource Manager API or the portal.
            :type resource_group_name: str
            :param managed_instance_name: The name of the managed instance.
            :type managed_instance_name: str
            :param database_name: The name of the database.
            :type database_name: str
            :param include_disabled_recommendations: Specifies whether to include
             disabled recommendations or not.
            :type include_disabled_recommendations: bool
            :param skip_token:
            :type skip_token: str
            :param filter: An OData filter expression that filters elements in the
             collection.
            :type filter: str
            :param dict custom_headers: headers that will be added to the request
            :param bool raw: returns the direct response alongside the
             deserialized response
            :param operation_config: :ref:`Operation configuration
             overrides<msrest:optionsforoperations>`.
            :return: An iterator like instance of SensitivityLabel
            :rtype:
             ~azure.mgmt.sql.models.SensitivityLabelPaged[~azure.mgmt.sql.models.SensitivityLabel]
            :raises: :class:`CloudError<msrestazure.azure_exceptions.CloudError>`
            """
            def prepare_request(next_link=None):
                if not next_link:
                    # Construct URL
                    url = self.list_recommended_by_database.metadata['url']
                    path_format_arguments = {
                        'resourceGroupName': self._serialize.url("resource_group_name", resource_group_name, 'str'),
                        'managedInstanceName': self._serialize.url("managed_instance_name", managed_instance_name, 'str'),
                        'databaseName': self._serialize.url("database_name", database_name, 'str'),
                        'subscriptionId': self._serialize.url("self.config.subscription_id", self.config.subscription_id, 'str')
                    }
                    url = self._client.format_url(url, **path_format_arguments)

                    # Construct parameters
                    query_parameters = {}
                    if include_disabled_recommendations is not None:
                        query_parameters['includeDisabledRecommendations'] = self._serialize.query("include_disabled_recommendations", include_disabled_recommendations, 'bool')
                    if skip_token is not None:
                        query_parameters['$skipToken'] = self._serialize.query("skip_token", skip_token, 'str')
                    if filter is not None:
                        query_parameters['$filter'] = self._serialize.query("filter", filter, 'str')
                    query_parameters['api-version'] = self._serialize.query("self.api_version", self.api_version, 'str')

                else:
                    url = next_link
                    query_parameters = {}

                # Construct headers
                header_parameters = {}
                header_parameters['Accept'] = 'application/json'
                if self.config.generate_client_request_id:
                    header_parameters['x-ms-client-request-id'] = str(uuid.uuid1())
                if custom_headers:
                    header_parameters.update(custom_headers)
                if self.config.accept_language is not None:
                    header_parameters['accept-language'] = self._serialize.header("self.config.accept_language", self.config.accept_language, 'str')

                # Construct and send request
                request = self._client.get(url, query_parameters, header_parameters)
                return request

            def internal_paging(next_link=None):
                request = prepare_request(next_link)

                response = self._client.send(request, stream=False, **operation_config)

                if response.status_code not in [200]:
                    exp = CloudError(response)
                    exp.request_id = response.headers.get('x-ms-request-id')
                    raise exp

                return response

            # Deserialize response
            header_dict = None
            if raw:
                header_dict = {}
            deserialized = models.SensitivityLabelPaged(internal_paging, self._deserialize.dependencies, header_dict)

            return deserialized
        list_recommended_by_database.metadata = {'url': '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/managedInstances/{managedInstanceName}/databases/{databaseName}/recommendedSensitivityLabels'}